Bug 510206 - X won't start with openchrome: "undefined symbol: LoaderRefSymLists"
X won't start with openchrome: "undefined symbol: LoaderRefSymLists"
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-07-08 07:24 EDT by Jonathan Kamens
Modified: 2009-09-24 01:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.2.903-8.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-19 05:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
remove loader symbol lists (7.23 KB, patch)
2009-07-10 17:48 EDT, Xavier Bachelot
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2009-07-08 07:24:29 EDT
With current Rawhide, I can't start X with the openchrome driver.  Xinit reports this:

X: symbol lookup error: /usr/lib/xorg/modules/drivers/openchrome_drv.so: undefined symbol: LoaderRefSymLists
Comment 1 Xavier Bachelot 2009-07-10 17:46:56 EDT
I hacked a patch that may work for that, but unfortunately my rawhide Unichrome machine died a few days ago so I can't test it easily/quickly. Would you be able to either build from upstream svn trunk and apply the patch or add the patch to the SRPM and rebuild it ?
Comment 2 Xavier Bachelot 2009-07-10 17:48:09 EDT
Created attachment 351305 [details]
remove loader symbol lists
Comment 3 Jonathan Kamens 2009-07-11 22:38:29 EDT
Seems to work, thanks.
Comment 4 Jonathan Kamens 2009-07-18 22:39:36 EDT
Hey Xavaier, I confirmed a week ago that this patch fixes the issue.  How about getting it into Rawhide?  Somebody just rebuilt and released this RPM without the patch, and so when I upgraded from rawhide the new build overwrote my local version with the fix, and my X server broke again.  Would be nice for that to stop happening.  Thanks.
Comment 5 Xavier Bachelot 2009-07-19 05:53:16 EDT
I had this fix in my local cvs checkout, with a couple other changes, and I finished up the work and rebuilt yesterday. Ajax did a rebuild before that for an ABI bump, and he couldn't know about this issue, sorry about that. The fixed version should be in today's Rawhide push.
Comment 6 Fedora Update System 2009-07-19 11:40:09 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been submitted as an update for Fedora 11.
Comment 7 Fedora Update System 2009-07-19 11:41:29 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been submitted as an update for Fedora 10.
Comment 8 Fedora Update System 2009-09-24 01:20:18 EDT
xorg-x11-drv-openchrome-0.2.903-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-09-24 01:24:35 EDT
xorg-x11-drv-openchrome-0.2.903-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.